<?php
/**
 * The template for displaying all single posts
 *
 * @package Poster
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit;

get_header();

$container = get_theme_mod( 'poster_container_type' );

?>
<div class="wrapper" id="single-wrapper">

	<div class="<?php echo esc_attr( $container ); ?>" id="content" tabindex="-1">

		<div class="row">

			<?php		
			$postID = get_queried_object_id();
			$layoutmeta = get_post_meta($postID, '_singlepost_poster', true);
			if ('ls' == $layoutmeta) {
				get_template_part( 'sidebar-templates/sidebar', 'left' ); ?>	
				<div class="col-md-8 content-area" id="primary"> 
			<?php }elseif( 'lr' == $layoutmeta){ 
				get_template_part( 'sidebar-templates/sidebar', 'left' ); ?>
				<div class="col-md-6 content-area" id="primary">
			<?php }elseif('fc' == $layoutmeta){ ?>
					<div class="col-md-12 content-area" id="primary"><?php
				}elseif('rsd' == $layoutmeta){ ?>
					<div class="col-md-8 content-area" id="primary">
				<?php }else{
						get_template_part( 'global-templates/left-sidebar-check' );
					}
			?>

			<main class="site-main" id="main">

				<?php
				while ( have_posts() ) {
					the_post();
					get_template_part( 'loop-templates/content', 'single' );
					poster_post_nav();

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) {
						comments_template();
					}
				}
				?>

			</main>

			<?php			
			//echo $layoutmeta;
				if ('rsd' == $layoutmeta) {	?></div><?php
						get_template_part( 'sidebar-templates/sidebar', 'right' );
			 		}
				elseif ('lr' == $layoutmeta){ 
					?></div><?php
					get_template_part( 'sidebar-templates/sidebar', 'right' ); 
				}
				elseif('fc' == $layoutmeta || 'ls' == $layoutmeta){ ?>
					</div><?php
				}else{
					get_template_part( 'global-templates/right-sidebar-check' );
				}
				
			?>

		</div><!-- .row -->

	</div><!-- #content -->

</div><!-- #single-wrapper -->

<?php
get_footer();
